예제 #1
0
        private void Zoom(Point3d CurPoint)
        {
            Point3d pMin     = new Point3d(CurPoint.X - 10, CurPoint.Y + 5, 0);
            Point3d pMax     = new Point3d(CurPoint.X + 10, CurPoint.Y, 0);
            Point3d pPoint3D = new Point3d(CurPoint.X, CurPoint.Y, 0);

            ZoomPoint.DrawCircle(pPoint3D);
            ZoomPoint.Zoom(pMin, pMax, new Point3d(), 5);
        }
예제 #2
0
        private void superGridControlCoords_CellDoubleClick(object sender, DevComponents.DotNetBar.SuperGrid.GridCellDoubleClickEventArgs e)
        {
            DevComponents.DotNetBar.SuperGrid.GridRow pGridRow = e.GridCell.GridRow;
            if (pGridRow == null)
            {
                return;
            }
            int     pPointY = Convert.ToInt32(Convert.ToDouble(pGridRow[1].Value.ToString()));
            int     pPointX = Convert.ToInt32(Convert.ToDouble(pGridRow[2].Value.ToString()));
            Point3d pMin    = new Point3d(pPointX - 10, pPointY + 5, 0);
            Point3d pMax    = new Point3d(pPointX + 10, pPointY, 0);

            ZoomPoint.Zoom(pMin, pMax, new Point3d(), 1);
            DrawCircle(new Point3d(double.Parse(pGridRow[2].Value.ToString()), double.Parse(pGridRow[1].Value.ToString()), 0));
            AcadDocument AcadDoc = AcadApp.ActiveDocument;

            Microsoft.VisualBasic.Interaction.AppActivate(AcadApp.Caption);
        }